Package com.orchestranetworks.userservice

# Interface UserServiceGetCreatedRecordContext<S extends EntitySelection>

All Superinterfaces:
  `UIResourceLocator`, `UserServiceInvocationContext<S>`, `UserServiceRequest`, `UserServiceResourceLocator`

public interface UserServiceGetCreatedRecordContext<S extends EntitySelection> extends UserServiceInvocationContext<S>, UserServiceRequest, UserServiceResourceLocator
This interface defines methods to get contextual information about the user service being invoked.

Since:
  6.0.6
See Also:
  - `UserServiceForCreate.getCreatedRecord(UserServiceGetCreatedRecordContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Adaptation`
  `getCreatedRecord(ObjectKey aKey)`
  If a record was created using the method `UserServiceTransaction.add(ObjectKey)`, then this method will return the corresponding adaptation.

  ### Methods inherited from interface com.orchestranetworks.ui.UIResourceLocator

  `createWebComponentForRootSession, createWebComponentForSubSession, getURLForAjaxComponent, getURLForAjaxComponent, getURLForPerspectiveSelection, getURLForPerspectiveSelection, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForRest, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForViewSelection`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceInvocationContext

  `getEntitySelection`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceRequest

  `canClose, getCurrentPerspective, getParameter, getParameterValues, getRepository, getServiceDescription, getServiceKey, getServiceLabel, getServiceModuleName, getSession, isInitialDisplay`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceResourceLocator

  `getURLForAction, getURLForAction, getURLForAjaxRequest, getURLForAjaxRequest, getURLForEndingService, getURLForGetRequest, getURLForGetRequest, getURLForResource, getURLForResource, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection`

- ## Method Details

  - ### getCreatedRecord

    Adaptation getCreatedRecord(ObjectKey aKey)
    If a record was created using the method `UserServiceTransaction.add(ObjectKey)`, then this method will return the corresponding adaptation.
    See Also:
      - `UserServiceTransaction.add(ObjectKey)`